
// a load of old cobblers
// xargle@eh.org 1999/2001 whenever


import java.applet.*;
import java.awt.*;
import java.util.*;
import java.net.*;
import java.awt.event.*;

public class vince extends Applet {
  private Image images[];
  private AudioClip audios[];
  private int totalimages = 8, currentimage = 0, sleepTime = 100;
  private int totalaudio = 8, ac=0, talking=0; 
  private Graphics gContext;
  private Image buffer;
  private MediaTracker imageTracker;
  private int talklengths[]={5,20,20,5,5,20,20,5};

  public void init() 
  {
    String files[]={"vin1.gif","vin2.gif","vin3.gif","vin4.gif",
                    "vince1.gif","vince2.gif","vince3.gif","vince4.gif"};

    images=new Image[totalimages];
    audios=new AudioClip[totalaudio];
    buffer=createImage(140,102); // image buffer
    gContext=buffer.getGraphics();
    
    gContext.setColor(Color.white);
    gContext.fillRect(0,0,110,102);
    
    imageTracker=new MediaTracker(this);
    
    for(int i=0; i < images.length; i++)
    {
      images[i]=getImage(getDocumentBase(),files[i]);
      imageTracker.addImage(images[i],i);
    }
    
    try {
      imageTracker.waitForID(0);
    }
    catch(InterruptedException e) {}

    loadSounds();
  }
  
  public void loadSounds() {

    String audio[]={"spaghetti.au","figaro.au","lalalalala.au",
                    "naughty.au","yowser.au",
		    "lahlah.au","larlar.au","clenches.au"};
    int i=0;

    // Initialize the sound clips.

    try {
      for(i=0; i < audios.length; i++)
      {
  	audios[i]=getAudioClip(getDocumentBase(),audio[i]);
 	audios[i].play();
        audios[i].stop();
      } 
    }
    catch (Exception e) {}
  }


  public void start()
  {
    gContext.drawImage(images[0],0,0,this);
    currentimage=0;
  }
  
  public void paint(Graphics g)
  {
      g.drawImage(buffer, 0, 0, this);
     
      if(imageTracker.checkID(currentimage, true))
      {
        gContext.fillRect(0,0,110,102);
        if(talking > 0)
	{
          if((talking % 2) != 0)
            gContext.drawImage(images[4+(currentimage/2)],0,0,this);
          else
            gContext.drawImage(images[(currentimage/2)],0,0,this);
          --talking;
        } else
          gContext.drawImage(images[(currentimage/2)],0,0,this);
        currentimage=++currentimage%8;
      }
      else
        postEvent(new Event(this,Event.MOUSE_ENTER,""));
   
      if(sleepTime!=0)
      {
        try {
          Thread.sleep(sleepTime);
        }
        catch(InterruptedException e) {
          showStatus(e.toString());
        }
      }
      repaint();
  }
  
  public void update(Graphics g)
  {
    paint(g);
  }

  public boolean mouseEnter(Event e, int x, int y)
  {
      audios[ac].play();
      talking=talklengths[ac];
      ac=++ac%totalaudio;
    return true;
  }
}  
